cURL
curl --request GET \ --url https://api.leadping.ai/users/me \ --header 'Authorization: <api-key>'
{ "id": "<string>", "createdAt": "2023-11-07T05:31:56Z", "modifiedAt": "2023-11-07T05:31:56Z", "name": "<string>", "email": "<string>", "firstName": "<string>", "lastName": "<string>", "phone": "<string>", "billingPlan": "Annual", "subscriptionStatus": "Pending", "roles": [ "Initialized" ], "identities": [ { "issuer": "<string>", "issuerAssignedId": "<string>", "signInType": "<string>" } ], "stripeInfo": { "customerId": "<string>", "defaultPaymentMethodId": "<string>", "subscriptionIds": [ "<string>" ], "cancelAt": "2023-11-07T05:31:56Z" }, "accountBalance": 123, "autoRefillEnabled": true, "autoRefillAmount": 123, "autoRefillTrigger": 123, "compliance": { "acceptedTerms": true, "acceptedToSubscription": true, "acceptedSms": true, "acceptedBaa": true, "acceptedEmail": true, "trustedFormCertificates": [ { "id": "<string>", "url": "<string>", "source": "<string>", "createdAt": "2023-11-07T05:31:56Z" } ] } }
JWT Authorization header using the Bearer scheme. (i.e. "Bearer 1234abcdef")
OK
Annual
Monthly
Pending
Active
Overdue
Canceled
A user can have multiple role types.
Initialized
Agent
Admin
SuperUser
Show child attributes